<nav class="navbar navbar-dark navbar-expand-md bg-primary" data-cy="navbar">
  <div class="container-fluid">
    <a (click)="collapseNavbar()" class="navbar-brand logo" routerLink="/">
      <span class="logo-img"></span>
      <span class="navbar-title" jhiTranslate="global.title">RealTimeBeverages</span>
      <span class="navbar-version">{{ version }}</span>
    </a>
    <a
      (click)="toggleNavbar()"
      aria-controls="navbarResponsive"
      aria-expanded="false"
      aria-label="Toggle navigation"
      class="navbar-toggler d-lg-none"
      data-target="#navbarResponsive"
      data-toggle="collapse"
      href="javascript:void(0);"
    >
      <fa-icon icon="bars"></fa-icon>
    </a>
    <div [ngbCollapse]="isNavbarCollapsed()" class="navbar-collapse collapse" id="navbarResponsive">
      <ul class="navbar-nav ms-auto">
        <li [routerLinkActiveOptions]="{ exact: true }" class="nav-item" routerLinkActive="active">
          <a (click)="collapseNavbar()" class="nav-link" routerLink="/">
            <span>
              <fa-icon icon="home"></fa-icon>
              <span jhiTranslate="global.menu.home">Startseite</span>
            </span>
          </a>
        </li>
        <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
        @if (account() !== null) {
          <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
            <a class="nav-link" routerLink="/order" (click)="collapseNavbar()">
              <span>
                <fa-icon icon="cart-shopping" />
                <span jhiTranslate="global.menu.ordernow">Jetzt bestellen</span>
              </span>
            </a>
          </li>
          <li
            ngbDropdown
            *jhiHasAnyAuthority="'ROLE_ADMIN'"
            class="nav-item dropdown pointer"
            display="dynamic"
            routerLinkActive="active"
            [routerLinkActiveOptions]="{ exact: true }"
          >
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu" data-cy="entity">
              <span>
                <fa-icon icon="th-list"></fa-icon>
                <span jhiTranslate="global.menu.entities.main">Entitäten</span>
              </span>
            </a>
            <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/offered-item"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.entities.offeredItem">Offered Item</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/pay-invoice"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.entities.payInvoices">Pay Invoices</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/pay-items"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.entities.createInvoice">Create invoice</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/bought-item"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.entities.boughtItem">Bought Item</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/archived-item"
                  routerLinkActive="active"
                  [routerLinkActiveOptions]="{ exact: true }"
                  (click)="collapseNavbar()"
                >
                  <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.entities.archivedItem">Archived Item</span>
                </a>
              </li>
              <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
            </ul>
          </li>
        }
        <li
          *jhiHasAnyAuthority="'ROLE_ADMIN'"
          [routerLinkActiveOptions]="{ exact: true }"
          class="nav-item dropdown pointer"
          display="dynamic"
          ngbDropdown
          routerLinkActive="active"
        >
          <a class="nav-link dropdown-toggle" data-cy="adminMenu" href="javascript:void(0);" id="admin-menu" ngbDropdownToggle>
            <span>
              <fa-icon icon="users-cog"></fa-icon>
              <span jhiTranslate="global.menu.admin.main">Administration</span>
            </span>
          </a>
          <ul aria-labelledby="admin-menu" class="dropdown-menu" ngbDropdownMenu>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
            <li>
              <a (click)="collapseNavbar()" class="dropdown-item" routerLink="/admin/user-management" routerLinkActive="active">
                <fa-icon [fixedWidth]="true" icon="users"></fa-icon>
                <span jhiTranslate="global.menu.admin.userManagement">Benutzerverwaltung</span>
              </a>
            </li>
          </ul>
        </li>
        @if (languages && languages.length > 1) {
          <li ngbDropdown class="nav-item dropdown pointer" display="dynamic">
            <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
              <span>
                <fa-icon icon="flag"></fa-icon>
                <span jhiTranslate="global.menu.language">Sprache</span>
              </span>
            </a>
            <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
              @for (language of languages; track $index) {
                <li>
                  <a
                    class="dropdown-item"
                    [jhiActiveMenu]="language"
                    href="javascript:void(0);"
                    (click)="changeLanguage(language); collapseNavbar()"
                    >{{ language | findLanguageFromKey }}</a
                  >
                </li>
              }
            </ul>
          </li>
        }
        <li
          [routerLinkActiveOptions]="{ exact: true }"
          class="nav-item dropdown pointer"
          display="dynamic"
          ngbDropdown
          routerLinkActive="active"
        >
          <a class="nav-link dropdown-toggle" data-cy="accountMenu" href="javascript:void(0);" id="account-menu" ngbDropdownToggle>
            @if (!account()?.imageUrl) {
              <span>
                <fa-icon icon="user"></fa-icon>
                <span jhiTranslate="global.menu.account.main">Zugang</span>
              </span>
            } @else {
              <span>
                <img [src]="account()!.imageUrl" class="profile-image rounded-circle" alt="Avatar" />
              </span>
            }
          </a>
          <ul aria-labelledby="account-menu" class="dropdown-menu" ngbDropdownMenu>
            @if (account() !== null) {
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/account/settings"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="settings"
                >
                  <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.account.settings">Einstellungen</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/account/password"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="passwordItem"
                >
                  <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.account.password">Passwort</span>
                </a>
              </li>
              <li>
                <a class="dropdown-item" (click)="logout()" id="logout" data-cy="logout">
                  <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.account.logout">Abmelden</span>
                </a>
              </li>
            } @else {
              <li>
                <a class="dropdown-item" (click)="login()" id="login" data-cy="login">
                  <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.account.login">Anmelden</span>
                </a>
              </li>
              <li>
                <a
                  class="dropdown-item"
                  routerLink="/account/register"
                  routerLinkActive="active"
                  (click)="collapseNavbar()"
                  data-cy="register"
                >
                  <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                  <span jhiTranslate="global.menu.account.register">Registrierung</span>
                </a>
              </li>
            }
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>
